minetest.register_entity("pmb_entity_base:base", {
    initial_properties = {
        visual = "mesh",
        mesh = "humanoid.b3d",
        stepheight = 1,
        hp_max = 3,
        physical = true,
    },
    on_step = pmb_entity_api.do_states(),
    _pmb_speed = 2,
})

minetest.register_craftitem("pmb_entity_base:base_spawn",
{
    description = "Spawn egg",
    on_place = function(itemstack, placer, pointed_thing)
        local ent = minetest.add_entity(minetest.get_pointed_thing_position(pointed_thing), "pmb_entity_base:base")
    end,
})